Bug 140879

Summary: new port graphics/gimp-save-for-web
Product: Ports & Packages Reporter: Grzegorz Blach <magik>
Component: Individual Port(s)Assignee: Dmitry Marakasov <amdmi3>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.shar none

Description Grzegorz Blach 2009-11-25 22:40:05 UTC
I have created new port with small gimp plugin.

Fix: Patch attached with submission follows:
Comment 1 Dmitry Marakasov freebsd_committer 2009-12-10 19:16:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov 2009-12-11 01:17:27 UTC
* Grzegorz Blach (magik@roorback.net) wrote:

> >Description:
> I have created new port with small gimp plugin.

- Does not build:
http://people.freebsd.org/~amdmi3/gimp-save-for-web-0.28.6.log
you probably want to LIB_DEPEND on gimp, see other gimp-* ports for
example.

- Locale files should be installed into share/locale, not lib/locale.
Also it'd be good to make them optional as portlint suggests.
Note that it's usually more convenient to have small changes via
REINPLACE_CMD instread of a patch.

- No WWW in pkg-plist

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 3 Dmitry Marakasov freebsd_committer 2009-12-11 02:22:37 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 4 Grzegorz Blach 2009-12-22 17:22:26 UTC
I try build gimp-save-for-web in clean jail, starting without any ports.
And it build fine (also build 222 other ports as dependency).

I don't known why can't find p5-XML-Parser in your report.

So I added as port-dependency p5-XML-Parser (but on my jail this was
build as dependency of dependency).

Locale dir I changed with:
USE_GNOME=      gnomehack gnometarget


I also added WWW in descr.
Comment 5 Dmitry Marakasov freebsd_committer 2009-12-22 23:27:09 UTC
State Changed
From-To: feedback->open

Submitter has fixed.
Comment 6 Dmitry Marakasov freebsd_committer 2009-12-22 23:28:35 UTC
State Changed
From-To: open->closed

New port added. Thanks!